/* $Id: PropFindInfo.java 125 2011-03-09 09:49:51Z ohura $ */
package webdav;

import java.util.ArrayList;
import java.util.Date;

import org.apache.webdav.lib.Lock;

public class PropFindInfo {
	protected String displayname;
	protected String path;
	protected Date lastmodified;
	protected boolean lock;
	protected ArrayList locks = new ArrayList();
	protected boolean directory = false;
	protected long contentlength;
	
	public String getDisplayname() {
		return displayname;
	}
	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}
	public String getPath() {
		return path;
	}
	public void setPath(String path) {
		this.path = path;
	}
	public Date getLastmodified() {
		return lastmodified;
	}
	public void setLastmodified(Date lastmodified) {
		this.lastmodified = lastmodified;
	}
	public boolean isDirectory() {
		return directory;
	}
	public void setDirectory(boolean directory) {
		this.directory = directory;
	}
	public boolean isLock() {
		return lock;
	}
	public void setLock(boolean lock) {
		this.lock = lock;
	}
	public void addLocks(Lock lock) {
		locks.add(lock);
	}
	public ArrayList getLocks() {
		return locks;
	}
	
	public long getContentlength() {
		return contentlength;
	}
	public void setContentlength(long contentlength) {
		this.contentlength = contentlength;
	}
	public String toString() {
		return displayname;
	}
	

}
